Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.NamedAction Class Reference
Inheritance diagram for foxit.pdf.actions.NamedAction:

## Public Member Functions
| NamedAction (Action action)
| Constructor, with parent class object. More...
string | GetName ()
| Get the name of the action. More...
void | SetName (string name)
| Set the name of the action. More...
Public Member Functions inherited from foxit.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Action.Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, Action sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, Action sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.actions.Action
enum | NewWindowFlag { NewWindowFlag.e_NewWindowFlagFalse = 0, NewWindowFlag.e_NewWindowFlagTrue = 1, NewWindowFlag.e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeGoto = 1, Type.e_TypeGoToR = 2, Type.e_TypeGoToE = 3, Type.e_TypeLaunch = 4, Type.e_TypeThread = 5, Type.e_TypeURI = 6, Type.e_TypeSound = 7, Type.e_TypeMovie = 8, Type.e_TypeHide = 9, Type.e_TypeNamed = 10, Type.e_TypeSubmitForm = 11, Type.e_TypeResetForm = 12, Type.e_TypeImportData = 13, Type.e_TypeJavaScript = 14, Type.e_TypeSetOCGState = 15, Type.e_TypeRendition = 16, Type.e_TypeTrans = 17, Type.e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit.pdf.actions.Action
static Action | Create (PDFDoc document, Action.Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Named action is an action that executes an action predefined by the viewer application.
Class foxit.pdf.actions.NamedAction is derived from Action and offers functions to get/set named action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ NamedAction()

foxit.pdf.actions.NamedAction.NamedAction | ( | Action | action | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetName()

string foxit.pdf.actions.NamedAction.GetName | ( |  | ) |
| inline

Get the name of the action.

In PDF reference 1.7, following names are defined and PDF viewer applications are expected to support them:
"NextPage", "PrevPage", "FirstPage", "LastPage".
Some more standard names may be added in later version. Application can also use additional, non-standard names.

Returns
  Name of the action.

## ◆ SetName()

void foxit.pdf.actions.NamedAction.SetName | ( | string | name | ) |
| inline

Set the name of the action.

In PDF reference 1.7, following names are defined and PDF viewer applications are expected to support them:
"NextPage", "PrevPage", "FirstPage", "LastPage".
Some more standard names may be added in later version. Application can also use additional, non-standard names.

Parameters

  [in] | name | A string that represents the new name. It should not be an empty string.

Returns
  None.